aboutsummaryrefslogtreecommitdiff
path: root/aux/ci/git-pre-push.sh
diff options
context:
space:
mode:
authorEuAndreh <eu@euandre.org>2021-01-27 15:55:27 -0300
committerEuAndreh <eu@euandre.org>2021-01-27 15:58:51 -0300
commit451eed829916627e9248f1003752b43617a20ff4 (patch)
tree1799faf7932caab2f2b6fb0bccebf06601715dda /aux/ci/git-pre-push.sh
parentUpdate link to "remembering" (diff)
downloadeuandre.org-451eed829916627e9248f1003752b43617a20ff4.tar.gz
euandre.org-451eed829916627e9248f1003752b43617a20ff4.tar.xz
mv build-aux/ -> aux/ and scripts/
Diffstat (limited to 'aux/ci/git-pre-push.sh')
-rwxr-xr-xaux/ci/git-pre-push.sh19
1 files changed, 19 insertions, 0 deletions
diff --git a/aux/ci/git-pre-push.sh b/aux/ci/git-pre-push.sh
new file mode 100755
index 0000000..30d2850
--- /dev/null
+++ b/aux/ci/git-pre-push.sh
@@ -0,0 +1,19 @@
+#!/bin/sh
+set -eux
+
+PACKAGE="$(basename "$PWD")"
+LOGS_DIR="/data/ci/$PACKAGE/logs"
+REMOTE_GIT_DIR="/data/git/$PACKAGE.git"
+
+DESCRIPTION="$(mktemp)"
+if [ -f description ]
+then
+ cp description "$DESCRIPTION"
+else
+ git config euandreh.description > "$DESCRIPTION"
+fi
+
+scp "$DESCRIPTION" "git.euandreh.xyz:$REMOTE_GIT_DIR/description"
+ssh git.euandreh.xyz mkdir -p "$LOGS_DIR"
+scp aux/ci/ci-build.sh "git.euandreh.xyz:$(dirname "$LOGS_DIR")/ci-build.sh"
+scp aux/ci/git-post-receive.sh "git.euandreh.xyz:$REMOTE_GIT_DIR/hooks/post-receive"